Bug 17147 - Streamline messages following batch record modification
Summary: Streamline messages following batch record modification
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-18 15:04 UTC by Owen Leonard
Modified: 2017-12-07 22:18 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17147 - Streamline messages following batch record modification (8.52 KB, patch)
2016-08-18 15:10 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17147 - Streamline messages following batch record modification (8.55 KB, patch)
2016-08-22 23:58 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 17147 [Revised] Streamline messages following batch record modification (9.12 KB, patch)
2016-08-26 13:45 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17147 [Revised] Streamline messages following batch record modification (9.15 KB, patch)
2016-08-29 03:34 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17147 [Revised] Streamline messages following batch record modification (9.00 KB, patch)
2016-09-08 14:43 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17147 [Revised] Streamline messages following batch record modification (9.02 KB, patch)
2016-09-13 09:38 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-08-18 15:04:12 UTC
After completing a batch record modification, a separate message dialog is displayed for each record which was modified. If you modify 500 records at a time this can result in a very long page. I think it would be better to display messages in a more compact way.
Comment 1 Owen Leonard 2016-08-18 15:10:04 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2016-08-22 23:58:06 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2016-08-26 13:45:28 UTC Comment hidden (obsolete)
Comment 4 Aleisha Amohia 2016-08-29 03:34:50 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-08-29 08:13:45 UTC
Comment on attachment 54963 [details] [review]
[SIGNED-OFF] Bug 17147 [Revised] Streamline messages following batch record modification

Review of attachment 54963 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/css/staff-global.css
@@ +1138,5 @@
>  	margin-top : .7em;
>  }
>  
> +div.message ul.fa-ul {
> +    padding-left: 1em;

We don't use fa-ul in this template, why do you change its padding-left?
Comment 6 Jonathan Druart 2016-09-07 10:06:10 UTC
Waiting for an answer.
Comment 7 Owen Leonard 2016-09-08 14:43:56 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2016-09-13 09:38:18 UTC
Created attachment 55524 [details] [review]
Bug 17147 [Revised] Streamline messages following batch record modification

This patch changes the display of informational messages during and
after the batch record modification process. Instead of showing a
separate dialog for each record modified, messages are now grouped into
one dialog.

To test, apply the patch and clear your browser cache if necessary. You
must have at least one MARC modification template defined.

- Go to Tools -> Batch record modification.
- Submit a list of biblionumbers which contains at least one number
  which doesn't exist in your database.
- Confirm that warning and success messages are grouped instead of
  showing in separate dialogs.
- Submit a list of biblionumbers using a MARC modification template
  which contains no actions. Confirm that the resulting error message is
  correctly formatted.

Revision formats the error messages without the unordered list, which
was giving them padding which didn't look correct inside a dialog.

Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>

Edit for QA: Removed obsolete changes to CSS.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Kyle M Hall 2016-09-13 18:24:23 UTC
Pushed to master for 16.11, thanks Owen!